## optv optv — Optical art meets real-time video effect |

## Properties

GstOpTVMode | mode | Read / Write
gint | speed | Read / Write
guint | threshold | Read / Write

## Types and Values

struct | GstOpTV

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseTransform
                    ╰── GstVideoFilter
                        ╰── GstOpTV

## Description

Traditional black-white optical animation is now resurrected as a real-time video effect. Input images are binarized and combined with various optical pattern.

### Example launch line

    1
    gst-launch -v videotestsrc ! optv ! ffmpegcolorspace ! autovideosink

This pipeline shows the effect of optv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | FUKUCHI, Kentarou <fukuchi@users.sourceforge.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)65280, green_mask=(int)16711680, blue_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)-16777216, green_mask=(int)16711680, blue_mask=(int)65280, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)65280, green_mask=(int)16711680, blue_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)-16777216, green_mask=(int)16711680, blue_mask=(int)65280, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstOpTV

    struct GstOpTV;

## Property Details

### The `“mode”` property

      “mode”                     GstOpTVMode

Mode.

Flags: Read / Write

Default value: Maelstrom

### The `“speed”` property

      “speed”                    gint

Effect speed.

Flags: Read / Write

Default value: 16

### The `“threshold”` property

      “threshold”                guint

Luma threshold.

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 60